﻿@model DomainClass.Takmili

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>ویرایش اطلاعات تکمیلی</h4>
<hr />

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.ID)

        <div class="form-group">
            @Html.LabelFor(model => model.TahsilatHozavi, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-3">
                @Html.EnumDropDownListFor(model => model.TahsilatHozavi, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.TahsilatHozavi, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-12">
                @Html.Label("با توجه به مدرك تحصيلي و دارا بودن شرايط احراز و با شناختي كه از توانمندي ها و استعدادهاي خود داريد" +
           " در آينده تمايل به پذيرفتن مسئوليت دركداميك از زمينه هاي زير را داريد؟", htmlAttributes: new { @class = "col-md-12 text-right" })
            </div>
            <div class="col-md-10">
                @Html.LabelFor(model => model.Fani, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-2">
                    <div class="checkbox">
                        @Html.EditorFor(model => model.Fani)
                        @Html.ValidationMessageFor(model => model.Fani, "", new { @class = "text-danger" })
                    </div>
                </div>
                @Html.LabelFor(model => model.Ejtemae, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-2">
                    <div class="checkbox">
                        @Html.EditorFor(model => model.Ejtemae)
                        @Html.ValidationMessageFor(model => model.Ejtemae, "", new { @class = "text-danger" })
                    </div>
                </div>
                @Html.LabelFor(model => model.Farhangi, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-2">
                    <div class="checkbox">
                        @Html.EditorFor(model => model.Farhangi)
                        @Html.ValidationMessageFor(model => model.Farhangi, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="col-md-10">
                @Html.LabelFor(model => model.Edari, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-2">
                    <div class="checkbox">
                        @Html.EditorFor(model => model.Edari)
                        @Html.ValidationMessageFor(model => model.Edari, "", new { @class = "text-danger" })
                    </div>
                </div>
                @Html.LabelFor(model => model.Fanavari, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-2">
                    <div class="checkbox">
                        @Html.EditorFor(model => model.Fanavari)
                        @Html.ValidationMessageFor(model => model.Fanavari, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="col-md-10">
                @Html.LabelFor(model => model.Sayer, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-2">
                    <div class="checkbox">
                        @Html.EditorFor(model => model.Sayer)
                        @Html.ValidationMessageFor(model => model.Sayer, "", new { @class = "text-danger" })
                    </div>
                </div>
                @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-4">
                    @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.Label("مهمترين سياست ها ي سازمان د رحال حاضر را بصورت مختصر نام ببريد ؟", htmlAttributes: new { @class = "col-md-12 text-right" })
            <div class="form-group">
                @Html.LabelFor(model => model.Siasat, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.TextAreaFor(model => model.Siasat, new { rows = 5, cols = 80, htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Siasat, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.Label("اقدامات ويژه و كليدي جنابعالي كه با دخالت مستقيم منجربه" +
           " عملكرد منحصر به فرد تاكنون در فضاي اداري سازمان ها گرديده است را نام ببريد؟ بصورت كمي و كيفي با ذكر سال", htmlAttributes: new { @class = "col-md-12 text-right" })
            <div class="form-group">
                @Html.LabelFor(model => model.Eghdamat, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.TextAreaFor(model => model.Eghdamat, new { rows = 5, cols = 80, htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Eghdamat, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-12 text-right">
                در صورتي كه علم به شناخت وضع موجود داريد با فرض در انتصاب جنابعالي در پيش فرض مديريت پيشنهادي:
                به نظر شما تـا چه اندازه با دخالت مستقيم شما مي توان چالشهاي پيش رو در حوزه اختيار را كم و منجربه ارتقاي حوزه گرديد
                و همچنـين تـا چه اندازه به عوامل محيطي در خارج از حيطه آن حوزه بر مي گردد. مختصر توضيح داده شود
            </label>
            <div class="form-group">
                <div class="control-label col-md-2"></div>
                @*@Html.LabelFor(model => model.Dekhalat, htmlAttributes: new { @class = "control-label col-md-2" })*@
                <div class="col-md-10">
                    @Html.TextAreaFor(model => model.Dekhalat, new { rows = 5, cols = 80, htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Dekhalat, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-12  text-right">
                لطفا برنامه هاي اصلي آينده جنابعالي را براي رشد و ارتقاء حوزه پيشنهاد مديريتي را بصورت مختصر در  3دسته ذيل توضيح دهيد
            </label>
            <label class="col-md-12  text-right">
                برنامه با همكاري عوامل داخلي حوزه مورد تصدي پيشنهادي
            </label>

            <div class="control-label col-md-2"></div>
            @*@Html.LabelFor(model => model.HamkariDakheli, htmlAttributes: new { @class = "control-label col-md-2" })*@
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.HamkariDakheli, new { rows = 5, cols = 80, htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.HamkariDakheli, "", new { @class = "text-danger" })
            </div>


            <label class="col-md-12  text-right">
                برنامه با همكاري عوامل خارجي سازمان هاي خارج از وزارت يا سازمان
            </label>
            <div class="control-label col-md-2"></div>
            @*            @Html.LabelFor(model => model.HamkariKhareji, htmlAttributes: new { @class = "control-label col-md-2" })*@
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.HamkariKhareji, new { rows = 5, cols = 80, htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.HamkariKhareji, "", new { @class = "text-danger" })
            </div>

            <label class="col-md-12  text-right">
                برنامه همكاري با حوزه هاي مختلف سازمان داخلي
            </label>
            <div class="control-label col-md-2"></div>
            @*                @Html.LabelFor(model => model.HamkariMokhtalef, htmlAttributes: new { @class = "control-label col-md-2" })*@
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.HamkariMokhtalef, new { rows = 5, cols = 80, htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.HamkariMokhtalef, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-12  text-right">
                آيا دانش علمي مدرك دانشگاهي جنابعالي در شرايط احراز حيطه شغل با عنايت به مشاغل اختصاصي و عمومي مرتبط است
                بلي/خير
            </label>
            <label class = "control-label col-md-2">بلی/خیر</label>
            @*@Html.LabelFor(model => model.DaneshElmi, htmlAttributes: new { @class = "control-label col-md-2" })*@
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.DaneshElmi)
                    @Html.ValidationMessageFor(model => model.DaneshElmi, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-12  text-right">
                آيا تجارب و دانش علمي ضمن خدمت جنابعالي با شغل پيشنهادي مديريتي مورد نظر مي تواند منجر به خلاقيت، نوآوري و
                خدمت مطلوب براي ذينفعان گردد بصورت مختصر با ذكر دلايل
            </label>
            <div class="control-label col-md-2"></div>
            @*                @Html.LabelFor(model => model.IjadeKhalaghiat, htmlAttributes: new { @class = "control-label col-md-2" })*@
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.IjadeKhalaghiat, new { rows = 5, cols = 80, htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.IjadeKhalaghiat, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <label class="col-md-12  text-right">
                سبك مديريت و تصميم گيري جنابعالي در مسايل و نوآوري هاي سازمان به چه صورت مي باشد  بصورت مختصر حداكثر
                2خط
            </label>
            <div class="control-label col-md-2"></div>
            @*@Html.LabelFor(model => model.SabkeModiriat, htmlAttributes: new { @class = "control-label col-md-2" })*@
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.SabkeModiriat, new { rows = 5, cols = 80, htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.SabkeModiriat, "", new { @class = "text-danger" })
            </div>
        </div>
        <label class="col-md-12  text-right">
            ميزان آشنايي جنابعالي با موارد مطروحه ذيل تا چه اندازه مي باشد:
        </label>

        <div class="form-group">
            @Html.LabelFor(model => model.GH_Modiriat, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.GH_Modiriat, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GH_Modiriat, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.GH_Mohasebat, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.GH_Mohasebat, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GH_Mohasebat, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.GH_Elhagi, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.GH_Elhagi, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GH_Elhagi, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.GH_Takhalofat, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.GH_Takhalofat, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GH_Takhalofat, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.GH_Sayer, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.GH_Sayer, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GH_Sayer, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.GH_SheShom, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.GH_SheShom, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GH_SheShom, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Tozihat_Zarori, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.Tozihat_Zarori, new { rows = 5, cols = 80, htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Tozihat_Zarori, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Date_Takmil, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-2">
                @Html.EditorFor(model => model.Date_Takmil, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Date_Takmil, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.LFName_Masol, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-6">
                @Html.EditorFor(model => model.LFName_Masol, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.LFName_Masol, "", new { @class = "text-danger" })
            </div>
        </div>
<hr/>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="ثبت اطلاعات" class="btn btn-primary" />
                @Html.ActionLink("بازگشت", "Index", "Takmili", new { @class = "btn btn-danger" })
            </div>
        </div>
    </div>
}
